package com.winhc.returnmoney.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @description ReturnMoneyResponsiblePerson实体对象
 * @author Generator
 * @date 2022-04-07
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("RETURN_MONEY_RESPONSIBLE_PERSON")
@ApiModel(value="ReturnMoneyResponsiblePerson实体对象", description="回款宝账款责任人")
public class ReturnMoneyResponsiblePerson implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键id")
    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "账本id")
    @TableField("RETURN_MONEY_BOOK_ID")
    private Long returnMoneyBookId;

    @ApiModelProperty(value = "账款id")
    @TableField("RETURN_MONEY_BILL_ID")
    private Long returnMoneyBillId;

    @ApiModelProperty(value = "责任人id")
    @TableField("USER_ID")
    private Long userId;

    @ApiModelProperty(value = "是否删除，1删除。0否")
    @TableField("DELETED")
    private Integer deleted;

    @ApiModelProperty(value = "创建时间")
    @TableField("TIME_CREATED")
    private LocalDateTime timeCreated;

    @ApiModelProperty(value = "修改时间")
    @TableField("TIME_MODIFIED")
    private LocalDateTime timeModified;


}
