package com.winhc.returnmoney.model.vo;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * @description ReturnMoneyResponsiblePerson VO对象
 * @author Generator
 * @date 2022-04-07
 */
@Data
@Accessors(chain = true)
@ApiModel(value="ReturnMoneyResponsiblePerson VO对象", description="回款宝账款责任人")
public class ReturnMoneyResponsiblePersonVO {

    @ApiModelProperty(value = "主键id")
    private Long id;

    @ApiModelProperty(value = "账本id")
    private Long returnMoneyBookId;

    @ApiModelProperty(value = "账款id")
    private Long returnMoneyBillId;

    @ApiModelProperty(value = "责任人id")
    private Long userId;

    @ApiModelProperty(value = "是否删除，1删除。0否")
    private Integer deleted;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime timeCreated;

    @ApiModelProperty(value = "修改时间")
    private LocalDateTime timeModified;


}
