package com.winhc.returnmoney.service;

import com.winhc.returnmoney.entity.ReturnMoneyBillOperLog;
import com.baomidou.mybatisplus.extension.service.IService;
import com.winhc.common.model.base.VOPage;
import com.winhc.returnmoney.model.dto.ReturnMoneyBillOperLogDTO;
import com.winhc.returnmoney.model.vo.ReturnMoneyBillOperLogVO;
import java.util.List;


/**
 * @description ReturnMoneyBillOperLog 接口类
 * @author Generator
 * @date 2022-04-07
 */
public interface ReturnMoneyBillOperLogService extends IService<ReturnMoneyBillOperLog> {

    /**
    * add ReturnMoneyBillOperLog
    * @param dto data transfer object
    */
    void add(ReturnMoneyBillOperLogDTO dto);

    /**
    * update ReturnMoneyBillOperLog
    * @param id key
    * @param dto data transfer object
    */
    void update(Long id, ReturnMoneyBillOperLogDTO dto);

    /**
    * delete ReturnMoneyBillOperLog
    * @param id key
    */
    void delete(Long id);

    /**
    * find ReturnMoneyBillOperLog
    * @param id key
    * @return ReturnMoneyBillOperLog
    */
    ReturnMoneyBillOperLogVO find(Long id);

    /**
    * find ReturnMoneyBillOperLog list
    * @param dto data transfer object
    * @return list of ReturnMoneyBillOperLog
    */
    List<ReturnMoneyBillOperLogVO> find(ReturnMoneyBillOperLogDTO dto);

     /**
     * find ReturnMoneyBillOperLog page
     * @param dto data transfer object
     * @param pageNum page number
     * @param pageSize page size
     * @return page of ReturnMoneyBillOperLog
     */
     VOPage<ReturnMoneyBillOperLogVO> find(ReturnMoneyBillOperLogDTO dto, Integer pageNum, Integer pageSize);
}
