package com.winhc.returnmoney.service;

import com.winhc.returnmoney.entity.ReturnMoneyChangeRecord;
import com.baomidou.mybatisplus.extension.service.IService;
import com.winhc.common.model.base.VOPage;
import com.winhc.returnmoney.model.dto.ReturnMoneyChangeRecordDTO;
import com.winhc.returnmoney.model.vo.ReturnMoneyChangeRecordVO;
import java.util.List;


/**
 * @description ReturnMoneyChangeRecord 接口类
 * @author Generator
 * @date 2022-04-07
 */
public interface ReturnMoneyChangeRecordService extends IService<ReturnMoneyChangeRecord> {

    /**
    * add ReturnMoneyChangeRecord
    * @param dto data transfer object
    */
    void add(ReturnMoneyChangeRecordDTO dto);

    /**
    * update ReturnMoneyChangeRecord
    * @param id key
    * @param dto data transfer object
    */
    void update(Long id, ReturnMoneyChangeRecordDTO dto);

    /**
    * delete ReturnMoneyChangeRecord
    * @param id key
    */
    void delete(Long id);

    /**
    * find ReturnMoneyChangeRecord
    * @param id key
    * @return ReturnMoneyChangeRecord
    */
    ReturnMoneyChangeRecordVO find(Long id);

    /**
    * find ReturnMoneyChangeRecord list
    * @param dto data transfer object
    * @return list of ReturnMoneyChangeRecord
    */
    List<ReturnMoneyChangeRecordVO> find(ReturnMoneyChangeRecordDTO dto);

     /**
     * find ReturnMoneyChangeRecord page
     * @param dto data transfer object
     * @param pageNum page number
     * @param pageSize page size
     * @return page of ReturnMoneyChangeRecord
     */
     VOPage<ReturnMoneyChangeRecordVO> find(ReturnMoneyChangeRecordDTO dto, Integer pageNum, Integer pageSize);
}
