package com.winhc.returnmoney.service;

import com.winhc.returnmoney.entity.ReturnMoneyLink;
import com.baomidou.mybatisplus.extension.service.IService;
import com.winhc.common.model.base.VOPage;
import com.winhc.returnmoney.model.dto.ReturnMoneyLinkDTO;
import com.winhc.returnmoney.model.vo.ReturnMoneyLinkVO;
import java.util.List;


/**
 * @description ReturnMoneyLink 接口类
 * @author Generator
 * @date 2022-04-07
 */
public interface ReturnMoneyLinkService extends IService<ReturnMoneyLink> {

    /**
    * add ReturnMoneyLink
    * @param dto data transfer object
    */
    void add(ReturnMoneyLinkDTO dto);

    /**
    * update ReturnMoneyLink
    * @param id key
    * @param dto data transfer object
    */
    void update(Long id, ReturnMoneyLinkDTO dto);

    /**
    * delete ReturnMoneyLink
    * @param id key
    */
    void delete(Long id);

    /**
    * find ReturnMoneyLink
    * @param id key
    * @return ReturnMoneyLink
    */
    ReturnMoneyLinkVO find(Long id);

    /**
    * find ReturnMoneyLink list
    * @param dto data transfer object
    * @return list of ReturnMoneyLink
    */
    List<ReturnMoneyLinkVO> find(ReturnMoneyLinkDTO dto);

     /**
     * find ReturnMoneyLink page
     * @param dto data transfer object
     * @param pageNum page number
     * @param pageSize page size
     * @return page of ReturnMoneyLink
     */
     VOPage<ReturnMoneyLinkVO> find(ReturnMoneyLinkDTO dto, Integer pageNum, Integer pageSize);
}
