package com.winhc.returnmoney.service;

import com.winhc.returnmoney.entity.ReturnMoneyRemindDefinition;
import com.baomidou.mybatisplus.extension.service.IService;
import com.winhc.common.model.base.VOPage;
import com.winhc.returnmoney.model.dto.ReturnMoneyRemindDefinitionDTO;
import com.winhc.returnmoney.model.vo.ReturnMoneyRemindDefinitionVO;
import java.util.List;


/**
 * @description ReturnMoneyRemindDefinition 接口类
 * @author Generator
 * @date 2022-04-07
 */
public interface ReturnMoneyRemindDefinitionService extends IService<ReturnMoneyRemindDefinition> {

    /**
    * add ReturnMoneyRemindDefinition
    * @param dto data transfer object
    */
    void add(ReturnMoneyRemindDefinitionDTO dto);

    /**
    * update ReturnMoneyRemindDefinition
    * @param id key
    * @param dto data transfer object
    */
    void update(Long id, ReturnMoneyRemindDefinitionDTO dto);

    /**
    * delete ReturnMoneyRemindDefinition
    * @param id key
    */
    void delete(Long id);

    /**
    * find ReturnMoneyRemindDefinition
    * @param id key
    * @return ReturnMoneyRemindDefinition
    */
    ReturnMoneyRemindDefinitionVO find(Long id);

    /**
    * find ReturnMoneyRemindDefinition list
    * @param dto data transfer object
    * @return list of ReturnMoneyRemindDefinition
    */
    List<ReturnMoneyRemindDefinitionVO> find(ReturnMoneyRemindDefinitionDTO dto);

     /**
     * find ReturnMoneyRemindDefinition page
     * @param dto data transfer object
     * @param pageNum page number
     * @param pageSize page size
     * @return page of ReturnMoneyRemindDefinition
     */
     VOPage<ReturnMoneyRemindDefinitionVO> find(ReturnMoneyRemindDefinitionDTO dto, Integer pageNum, Integer pageSize);
}
