package com.winhc.returnmoney.service;

import com.winhc.returnmoney.entity.ReturnMoneyResponsiblePerson;
import com.baomidou.mybatisplus.extension.service.IService;
import com.winhc.common.model.base.VOPage;
import com.winhc.returnmoney.model.dto.ReturnMoneyResponsiblePersonDTO;
import com.winhc.returnmoney.model.vo.ReturnMoneyResponsiblePersonVO;
import java.util.List;


/**
 * @description ReturnMoneyResponsiblePerson 接口类
 * @author Generator
 * @date 2022-04-07
 */
public interface ReturnMoneyResponsiblePersonService extends IService<ReturnMoneyResponsiblePerson> {

    /**
    * add ReturnMoneyResponsiblePerson
    * @param dto data transfer object
    */
    void add(ReturnMoneyResponsiblePersonDTO dto);

    /**
    * update ReturnMoneyResponsiblePerson
    * @param id key
    * @param dto data transfer object
    */
    void update(Long id, ReturnMoneyResponsiblePersonDTO dto);

    /**
    * delete ReturnMoneyResponsiblePerson
    * @param id key
    */
    void delete(Long id);

    /**
    * find ReturnMoneyResponsiblePerson
    * @param id key
    * @return ReturnMoneyResponsiblePerson
    */
    ReturnMoneyResponsiblePersonVO find(Long id);

    /**
    * find ReturnMoneyResponsiblePerson list
    * @param dto data transfer object
    * @return list of ReturnMoneyResponsiblePerson
    */
    List<ReturnMoneyResponsiblePersonVO> find(ReturnMoneyResponsiblePersonDTO dto);

     /**
     * find ReturnMoneyResponsiblePerson page
     * @param dto data transfer object
     * @param pageNum page number
     * @param pageSize page size
     * @return page of ReturnMoneyResponsiblePerson
     */
     VOPage<ReturnMoneyResponsiblePersonVO> find(ReturnMoneyResponsiblePersonDTO dto, Integer pageNum, Integer pageSize);
}
