package com.winhc.returnmoney.service.impl;

import com.winhc.returnmoney.entity.ReturnMoneyBillOperLog;
import com.winhc.returnmoney.repository.ReturnMoneyBillOperLogMapper;
import com.winhc.returnmoney.service.ReturnMoneyBillOperLogService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.winhc.common.model.base.VOPage;
import com.winhc.returnmoney.model.dto.ReturnMoneyBillOperLogDTO;
import com.winhc.returnmoney.model.cvt.ReturnMoneyBillOperLogConvert;
import com.winhc.returnmoney.model.vo.ReturnMoneyBillOperLogVO;

import java.util.List;
import java.util.stream.Collectors;

/**
 * @description ReturnMoneyBillOperLog 接口实现类
 * @author Generator
 * @date 2022-04-07
 */
@Service
public class ReturnMoneyBillOperLogServiceImpl extends ServiceImpl<ReturnMoneyBillOperLogMapper, ReturnMoneyBillOperLog> implements ReturnMoneyBillOperLogService {

    @Override
    public void add(ReturnMoneyBillOperLogDTO dto) {
        save(ReturnMoneyBillOperLogConvert.DTOToEntity(dto));
    }

    @Override
    public void update(Long id, ReturnMoneyBillOperLogDTO dto) {
        update(ReturnMoneyBillOperLogConvert.DTOToEntity(dto),new UpdateWrapper<ReturnMoneyBillOperLog>().lambda().eq(ReturnMoneyBillOperLog::getId,id));
    }

    @Override
    public void delete(Long id) {
        removeById(id);
    }

    @Override
    public ReturnMoneyBillOperLogVO find(Long id) {
        return ReturnMoneyBillOperLogConvert.EntityToVO(getById(id));
    }

    @Override
    public List<ReturnMoneyBillOperLogVO> find(ReturnMoneyBillOperLogDTO dto) {
        return list(new QueryWrapper<>(ReturnMoneyBillOperLogConvert.DTOToEntity(dto))).stream().map(ReturnMoneyBillOperLogConvert::EntityToVO)
                 .collect(Collectors.toList());
    }

     @Override
     public VOPage<ReturnMoneyBillOperLogVO> find(ReturnMoneyBillOperLogDTO dto, Integer pageNum, Integer pageSize) {
         IPage<ReturnMoneyBillOperLog> pageReturnMoneyBillOperLog = page(new Page<>(pageNum, pageSize), new QueryWrapper<>(ReturnMoneyBillOperLogConvert.DTOToEntity(dto)));
         return new VOPage<>(pageNum,pageSize,pageReturnMoneyBillOperLog.getTotal(), pageReturnMoneyBillOperLog.getRecords().stream()
                 .map(ReturnMoneyBillOperLogConvert::EntityToVO).collect(Collectors.toList()));
    }
}
