package com.winhc.returnmoney.service.impl;

import com.winhc.returnmoney.entity.ReturnMoneyRemindDefinition;
import com.winhc.returnmoney.repository.ReturnMoneyRemindDefinitionMapper;
import com.winhc.returnmoney.service.ReturnMoneyRemindDefinitionService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.winhc.common.model.base.VOPage;
import com.winhc.returnmoney.model.dto.ReturnMoneyRemindDefinitionDTO;
import com.winhc.returnmoney.model.cvt.ReturnMoneyRemindDefinitionConvert;
import com.winhc.returnmoney.model.vo.ReturnMoneyRemindDefinitionVO;

import java.util.List;
import java.util.stream.Collectors;

/**
 * @description ReturnMoneyRemindDefinition 接口实现类
 * @author Generator
 * @date 2022-04-07
 */
@Service
public class ReturnMoneyRemindDefinitionServiceImpl extends ServiceImpl<ReturnMoneyRemindDefinitionMapper, ReturnMoneyRemindDefinition> implements ReturnMoneyRemindDefinitionService {

    @Override
    public void add(ReturnMoneyRemindDefinitionDTO dto) {
        save(ReturnMoneyRemindDefinitionConvert.DTOToEntity(dto));
    }

    @Override
    public void update(Long id, ReturnMoneyRemindDefinitionDTO dto) {
        update(ReturnMoneyRemindDefinitionConvert.DTOToEntity(dto),new UpdateWrapper<ReturnMoneyRemindDefinition>().lambda().eq(ReturnMoneyRemindDefinition::getId,id));
    }

    @Override
    public void delete(Long id) {
        removeById(id);
    }

    @Override
    public ReturnMoneyRemindDefinitionVO find(Long id) {
        return ReturnMoneyRemindDefinitionConvert.EntityToVO(getById(id));
    }

    @Override
    public List<ReturnMoneyRemindDefinitionVO> find(ReturnMoneyRemindDefinitionDTO dto) {
        return list(new QueryWrapper<>(ReturnMoneyRemindDefinitionConvert.DTOToEntity(dto))).stream().map(ReturnMoneyRemindDefinitionConvert::EntityToVO)
                 .collect(Collectors.toList());
    }

     @Override
     public VOPage<ReturnMoneyRemindDefinitionVO> find(ReturnMoneyRemindDefinitionDTO dto, Integer pageNum, Integer pageSize) {
         IPage<ReturnMoneyRemindDefinition> pageReturnMoneyRemindDefinition = page(new Page<>(pageNum, pageSize), new QueryWrapper<>(ReturnMoneyRemindDefinitionConvert.DTOToEntity(dto)));
         return new VOPage<>(pageNum,pageSize,pageReturnMoneyRemindDefinition.getTotal(), pageReturnMoneyRemindDefinition.getRecords().stream()
                 .map(ReturnMoneyRemindDefinitionConvert::EntityToVO).collect(Collectors.toList()));
    }
}
