package com.winhc.returnmoney.service.impl;

import com.winhc.returnmoney.entity.ReturnMoneyResponsiblePerson;
import com.winhc.returnmoney.repository.ReturnMoneyResponsiblePersonMapper;
import com.winhc.returnmoney.service.ReturnMoneyResponsiblePersonService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.winhc.common.model.base.VOPage;
import com.winhc.returnmoney.model.dto.ReturnMoneyResponsiblePersonDTO;
import com.winhc.returnmoney.model.cvt.ReturnMoneyResponsiblePersonConvert;
import com.winhc.returnmoney.model.vo.ReturnMoneyResponsiblePersonVO;

import java.util.List;
import java.util.stream.Collectors;

/**
 * @description ReturnMoneyResponsiblePerson 接口实现类
 * @author Generator
 * @date 2022-04-07
 */
@Service
public class ReturnMoneyResponsiblePersonServiceImpl extends ServiceImpl<ReturnMoneyResponsiblePersonMapper, ReturnMoneyResponsiblePerson> implements ReturnMoneyResponsiblePersonService {

    @Override
    public void add(ReturnMoneyResponsiblePersonDTO dto) {
        save(ReturnMoneyResponsiblePersonConvert.DTOToEntity(dto));
    }

    @Override
    public void update(Long id, ReturnMoneyResponsiblePersonDTO dto) {
        update(ReturnMoneyResponsiblePersonConvert.DTOToEntity(dto),new UpdateWrapper<ReturnMoneyResponsiblePerson>().lambda().eq(ReturnMoneyResponsiblePerson::getId,id));
    }

    @Override
    public void delete(Long id) {
        removeById(id);
    }

    @Override
    public ReturnMoneyResponsiblePersonVO find(Long id) {
        return ReturnMoneyResponsiblePersonConvert.EntityToVO(getById(id));
    }

    @Override
    public List<ReturnMoneyResponsiblePersonVO> find(ReturnMoneyResponsiblePersonDTO dto) {
        return list(new QueryWrapper<>(ReturnMoneyResponsiblePersonConvert.DTOToEntity(dto))).stream().map(ReturnMoneyResponsiblePersonConvert::EntityToVO)
                 .collect(Collectors.toList());
    }

     @Override
     public VOPage<ReturnMoneyResponsiblePersonVO> find(ReturnMoneyResponsiblePersonDTO dto, Integer pageNum, Integer pageSize) {
         IPage<ReturnMoneyResponsiblePerson> pageReturnMoneyResponsiblePerson = page(new Page<>(pageNum, pageSize), new QueryWrapper<>(ReturnMoneyResponsiblePersonConvert.DTOToEntity(dto)));
         return new VOPage<>(pageNum,pageSize,pageReturnMoneyResponsiblePerson.getTotal(), pageReturnMoneyResponsiblePerson.getRecords().stream()
                 .map(ReturnMoneyResponsiblePersonConvert::EntityToVO).collect(Collectors.toList()));
    }
}
