package com.winhc.returnmoney.model.dto;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * @description ReturnMoneyBook DTO对象
 * @author Generator
 * @date 2022-04-07
 */
@Data
@Accessors(chain = true)
@ApiModel(value="ReturnMoneyBook DTO对象", description="回款宝账本")
public class ReturnMoneyBookDTO {


    @ApiModelProperty(value = "")
    private Long id;

    @ApiModelProperty(value = "客户id")
    private String customerId;

    @ApiModelProperty(value = "客户name")
    private String customerName;

    @ApiModelProperty(value = "账本刷新状态。1未刷新，2刷新中，3已刷新，0刷新失败")
    private Integer refreshStatus;

    @ApiModelProperty(value = "用户id")
    private Long userId;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime timeCreated;

    @ApiModelProperty(value = "修改时间")
    private LocalDateTime timeModified;

    @ApiModelProperty(value = "是否删除，1删除。0否")
    private Integer deleted;


}
