package com.winhc.returnmoney.model.vo;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * @description ReturnMoneyChangeRecord VO对象
 * @author Generator
 * @date 2022-04-07
 */
@Data
@Accessors(chain = true)
@ApiModel(value="ReturnMoneyChangeRecord VO对象", description="回款宝账款收付款记录表")
public class ReturnMoneyChangeRecordVO {

    @ApiModelProperty(value = "")
    private Long id;

    @ApiModelProperty(value = "账本id")
    private Long returnMoneyBookId;

    @ApiModelProperty(value = "账款id")
    private Long returnMoneyBillId;

    @ApiModelProperty(value = "收回金额/已付金额")
    private BigDecimal receiptMoney;

    @ApiModelProperty(value = "收回前金额/应付前总金额")
    private BigDecimal preMoney;

    @ApiModelProperty(value = "操作人id")
    private Long operUserId;

    @ApiModelProperty(value = "操作人name")
    private Long operUserName;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "附件url，逗号分隔")
    private String fileUrl;

    @ApiModelProperty(value = "是否删除，1删除。0否")
    private Integer deleted;

    @ApiModelProperty(value = "")
    private LocalDateTime timeCreated;

    @ApiModelProperty(value = "")
    private LocalDateTime timeModified;


}
