package com.winhc.returnmoney.model.vo;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * @description ReturnMoneyCustomer VO对象
 * @author Generator
 * @date 2022-04-07
 */
@Data
@Accessors(chain = true)
@ApiModel(value="ReturnMoneyCustomer VO对象", description="回款宝账户表")
public class ReturnMoneyCustomerVO {

    @ApiModelProperty(value = "客户id")
    private Long custId;

    @ApiModelProperty(value = "客户名称")
    private String custName;

    @ApiModelProperty(value = "客户性质 1企业 2个人 3政府事业单位")
    private Integer custType;

    @ApiModelProperty(value = "公司id")
    private String companyId;

    @ApiModelProperty(value = "所属行业JSON")
    private String industry;

    @ApiModelProperty(value = "办公地址")
    private String address;

    @ApiModelProperty(value = "附件JSON")
    private String attachment;

    @ApiModelProperty(value = "备注信息")
    private String remark;

    @ApiModelProperty(value = "所属用户")
    private Long belongUserId;

    @ApiModelProperty(value = "是否删除 0否 1是")
    private Integer deleted;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime timeCreated;

    @ApiModelProperty(value = "修改时间")
    private LocalDateTime timeModified;

    @ApiModelProperty(value = "1客户  2供应商")
    private Integer type;


}
