package com.winhc.returnmoney.model.vo;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * @description ReturnMoneyLink VO对象
 * @author Generator
 * @date 2022-04-07
 */
@Data
@Accessors(chain = true)
@ApiModel(value="ReturnMoneyLink VO对象", description="回款宝客户联系人")
public class ReturnMoneyLinkVO {

    @ApiModelProperty(value = "主键，联系人id")
    private Long id;

    @ApiModelProperty(value = "联系人姓名")
    private String name;

    @ApiModelProperty(value = "联系人电话")
    private String mobileNo;

    @ApiModelProperty(value = "联系人邮箱")
    private String email;

    @ApiModelProperty(value = "联系人微信")
    private String wechat;

    @ApiModelProperty(value = "所属客户")
    private Long custId;

    @ApiModelProperty(value = "是否删除 0否 1是")
    private Integer deleted;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime timeCreated;


}
