package com.winhc.returnmoney.service;

import com.winhc.returnmoney.entity.ReturnMoneyCustChargeRel;
import com.baomidou.mybatisplus.extension.service.IService;
import com.winhc.common.model.base.VOPage;
import com.winhc.returnmoney.model.dto.ReturnMoneyCustChargeRelDTO;
import com.winhc.returnmoney.model.vo.ReturnMoneyCustChargeRelVO;
import java.util.List;


/**
 * @description ReturnMoneyCustChargeRel 接口类
 * @author Generator
 * @date 2022-04-07
 */
public interface ReturnMoneyCustChargeRelService extends IService<ReturnMoneyCustChargeRel> {

    /**
    * add ReturnMoneyCustChargeRel
    * @param dto data transfer object
    */
    void add(ReturnMoneyCustChargeRelDTO dto);

    /**
    * update ReturnMoneyCustChargeRel
    * @param id key
    * @param dto data transfer object
    */
    void update(Integer id, ReturnMoneyCustChargeRelDTO dto);

    /**
    * delete ReturnMoneyCustChargeRel
    * @param id key
    */
    void delete(Integer id);

    /**
    * find ReturnMoneyCustChargeRel
    * @param id key
    * @return ReturnMoneyCustChargeRel
    */
    ReturnMoneyCustChargeRelVO find(Integer id);

    /**
    * find ReturnMoneyCustChargeRel list
    * @param dto data transfer object
    * @return list of ReturnMoneyCustChargeRel
    */
    List<ReturnMoneyCustChargeRelVO> find(ReturnMoneyCustChargeRelDTO dto);

     /**
     * find ReturnMoneyCustChargeRel page
     * @param dto data transfer object
     * @param pageNum page number
     * @param pageSize page size
     * @return page of ReturnMoneyCustChargeRel
     */
     VOPage<ReturnMoneyCustChargeRelVO> find(ReturnMoneyCustChargeRelDTO dto, Integer pageNum, Integer pageSize);
}
