package com.winhc.returnmoney.service;

import com.winhc.returnmoney.entity.ReturnMoneyRemindHistory;
import com.baomidou.mybatisplus.extension.service.IService;
import com.winhc.common.model.base.VOPage;
import com.winhc.returnmoney.model.dto.ReturnMoneyRemindHistoryDTO;
import com.winhc.returnmoney.model.vo.ReturnMoneyRemindHistoryVO;
import java.util.List;


/**
 * @description ReturnMoneyRemindHistory 接口类
 * @author Generator
 * @date 2022-04-07
 */
public interface ReturnMoneyRemindHistoryService extends IService<ReturnMoneyRemindHistory> {

    /**
    * add ReturnMoneyRemindHistory
    * @param dto data transfer object
    */
    void add(ReturnMoneyRemindHistoryDTO dto);

    /**
    * update ReturnMoneyRemindHistory
    * @param id key
    * @param dto data transfer object
    */
    void update(Long id, ReturnMoneyRemindHistoryDTO dto);

    /**
    * delete ReturnMoneyRemindHistory
    * @param id key
    */
    void delete(Long id);

    /**
    * find ReturnMoneyRemindHistory
    * @param id key
    * @return ReturnMoneyRemindHistory
    */
    ReturnMoneyRemindHistoryVO find(Long id);

    /**
    * find ReturnMoneyRemindHistory list
    * @param dto data transfer object
    * @return list of ReturnMoneyRemindHistory
    */
    List<ReturnMoneyRemindHistoryVO> find(ReturnMoneyRemindHistoryDTO dto);

     /**
     * find ReturnMoneyRemindHistory page
     * @param dto data transfer object
     * @param pageNum page number
     * @param pageSize page size
     * @return page of ReturnMoneyRemindHistory
     */
     VOPage<ReturnMoneyRemindHistoryVO> find(ReturnMoneyRemindHistoryDTO dto, Integer pageNum, Integer pageSize);
}
