package com.winhc.returnmoney.service.impl;

import com.winhc.returnmoney.entity.ReturnMoneyCustChargeRel;
import com.winhc.returnmoney.repository.ReturnMoneyCustChargeRelMapper;
import com.winhc.returnmoney.service.ReturnMoneyCustChargeRelService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.winhc.common.model.base.VOPage;
import com.winhc.returnmoney.model.dto.ReturnMoneyCustChargeRelDTO;
import com.winhc.returnmoney.model.cvt.ReturnMoneyCustChargeRelConvert;
import com.winhc.returnmoney.model.vo.ReturnMoneyCustChargeRelVO;

import java.util.List;
import java.util.stream.Collectors;

/**
 * @description ReturnMoneyCustChargeRel 接口实现类
 * @author Generator
 * @date 2022-04-07
 */
@Service
public class ReturnMoneyCustChargeRelServiceImpl extends ServiceImpl<ReturnMoneyCustChargeRelMapper, ReturnMoneyCustChargeRel> implements ReturnMoneyCustChargeRelService {

    @Override
    public void add(ReturnMoneyCustChargeRelDTO dto) {
        save(ReturnMoneyCustChargeRelConvert.DTOToEntity(dto));
    }

    @Override
    public void update(Integer id, ReturnMoneyCustChargeRelDTO dto) {
        update(ReturnMoneyCustChargeRelConvert.DTOToEntity(dto),new UpdateWrapper<ReturnMoneyCustChargeRel>().lambda().eq(ReturnMoneyCustChargeRel::getId,id));
    }

    @Override
    public void delete(Integer id) {
        removeById(id);
    }

    @Override
    public ReturnMoneyCustChargeRelVO find(Integer id) {
        return ReturnMoneyCustChargeRelConvert.EntityToVO(getById(id));
    }

    @Override
    public List<ReturnMoneyCustChargeRelVO> find(ReturnMoneyCustChargeRelDTO dto) {
        return list(new QueryWrapper<>(ReturnMoneyCustChargeRelConvert.DTOToEntity(dto))).stream().map(ReturnMoneyCustChargeRelConvert::EntityToVO)
                 .collect(Collectors.toList());
    }

     @Override
     public VOPage<ReturnMoneyCustChargeRelVO> find(ReturnMoneyCustChargeRelDTO dto, Integer pageNum, Integer pageSize) {
         IPage<ReturnMoneyCustChargeRel> pageReturnMoneyCustChargeRel = page(new Page<>(pageNum, pageSize), new QueryWrapper<>(ReturnMoneyCustChargeRelConvert.DTOToEntity(dto)));
         return new VOPage<>(pageNum,pageSize,pageReturnMoneyCustChargeRel.getTotal(), pageReturnMoneyCustChargeRel.getRecords().stream()
                 .map(ReturnMoneyCustChargeRelConvert::EntityToVO).collect(Collectors.toList()));
    }
}
