package com.winhc.returnmoney.service.impl;

import com.winhc.returnmoney.entity.ReturnMoneyRemindHistory;
import com.winhc.returnmoney.repository.ReturnMoneyRemindHistoryMapper;
import com.winhc.returnmoney.service.ReturnMoneyRemindHistoryService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.winhc.common.model.base.VOPage;
import com.winhc.returnmoney.model.dto.ReturnMoneyRemindHistoryDTO;
import com.winhc.returnmoney.model.cvt.ReturnMoneyRemindHistoryConvert;
import com.winhc.returnmoney.model.vo.ReturnMoneyRemindHistoryVO;

import java.util.List;
import java.util.stream.Collectors;

/**
 * @description ReturnMoneyRemindHistory 接口实现类
 * @author Generator
 * @date 2022-04-07
 */
@Service
public class ReturnMoneyRemindHistoryServiceImpl extends ServiceImpl<ReturnMoneyRemindHistoryMapper, ReturnMoneyRemindHistory> implements ReturnMoneyRemindHistoryService {

    @Override
    public void add(ReturnMoneyRemindHistoryDTO dto) {
        save(ReturnMoneyRemindHistoryConvert.DTOToEntity(dto));
    }

    @Override
    public void update(Long id, ReturnMoneyRemindHistoryDTO dto) {
        update(ReturnMoneyRemindHistoryConvert.DTOToEntity(dto),new UpdateWrapper<ReturnMoneyRemindHistory>().lambda().eq(ReturnMoneyRemindHistory::getId,id));
    }

    @Override
    public void delete(Long id) {
        removeById(id);
    }

    @Override
    public ReturnMoneyRemindHistoryVO find(Long id) {
        return ReturnMoneyRemindHistoryConvert.EntityToVO(getById(id));
    }

    @Override
    public List<ReturnMoneyRemindHistoryVO> find(ReturnMoneyRemindHistoryDTO dto) {
        return list(new QueryWrapper<>(ReturnMoneyRemindHistoryConvert.DTOToEntity(dto))).stream().map(ReturnMoneyRemindHistoryConvert::EntityToVO)
                 .collect(Collectors.toList());
    }

     @Override
     public VOPage<ReturnMoneyRemindHistoryVO> find(ReturnMoneyRemindHistoryDTO dto, Integer pageNum, Integer pageSize) {
         IPage<ReturnMoneyRemindHistory> pageReturnMoneyRemindHistory = page(new Page<>(pageNum, pageSize), new QueryWrapper<>(ReturnMoneyRemindHistoryConvert.DTOToEntity(dto)));
         return new VOPage<>(pageNum,pageSize,pageReturnMoneyRemindHistory.getTotal(), pageReturnMoneyRemindHistory.getRecords().stream()
                 .map(ReturnMoneyRemindHistoryConvert::EntityToVO).collect(Collectors.toList()));
    }
}
